package edu.travel.controller;

import edu.travel.adapter.service.tenant.TenantAdapter;
import edu.travel.remote.feign.mode.dto.tenant.UpdatePhoneDto;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;



@RestController
@RequestMapping("/user")
public class ShopUserController {

    @Autowired
    private TenantAdapter tenantAdapter;

    /**
     *  修改手机号
     * @param dto
     * @return {@link RPCBaseResponse }<{@link Void }>
     */
    @GetMapping("/updatePhoneNumber")
//    @PreAuthorize("hasRole('超级管理员')")
    public RPCBaseResponse<Void> updatePhoneNumber(@RequestBody UpdatePhoneDto dto) {
        return tenantAdapter.updatePhoneNumber(dto);
    }



}
