package edu.travel.country.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.country.entity.BaseCountryServe;
import edu.travel.dto.BaseCountryServeDto;
import edu.travel.dto.BaseCountryServeStatusDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryServeStatusVo;
import edu.travel.vo.BaseCountryServeVo;
import edu.travel.vo.ServiceCountryVo;

import java.util.List;
import java.util.Map;

public interface BaseCountryServeService extends IService<BaseCountryServe> {


    //服务国家树
    RPCBaseResponse<List<BaseCountryServeVo>> getCountryServeTree();

    //分页
    RPCBaseResponse<IPage<BaseCountryServe>> getCountryServeCurrencyPageForm(BaseCountryServeDto dto);

    //更新国家状态
    RPCBaseResponse<BaseCountryServeStatusVo> updateServeStatus(BaseCountryServeStatusDto entity);

    Map<String, List<ServiceCountryVo>> grouped();

}
