package edu.travel.cache.config;

import edu.travel.cache.handler.DefaultCacheableKeyGenerator;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cache.interceptor.KeyGenerator;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@EnableCaching
public class CacheConfig {
    @Bean("DefaultCacheableKeyGenerator")
    public KeyGenerator methodKeyGenerator() {
        return new DefaultCacheableKeyGenerator();
    }
}
